/*-
 * ============LICENSE_START=======================================================
 * OSAM
 * ================================================================================
 * Copyright (C) 2018 AT&T
 * ================================================================================
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ============LICENSE_END=========================================================
 */



package org.onap.osam.mso.rest;

import com.fasterxml.jackson.annotation.JsonProperty;

public class Response {

    private int status;

    private RequestList entity;

    /**
     * Gets the status.
     *
     * @return     The status
     */
    @JsonProperty("status")
    public int getStatus() {
        return status;
    }

    /**
     * Sets the status.
     *
     * @param status     The status
     */
    @JsonProperty("status")
    public void setStatus(int status) {
        this.status = status;
    }

    /**
     * Gets the entity.
     *
     * @return     The entity
     */
    @JsonProperty("entity")
    public RequestList getEntity() {
        return entity;
    }

    /**
     * Sets the entity.
     *
     * @param entity     The entity
     */
    @JsonProperty("entity")
    public void setEntity(RequestList entity) {
        this.entity = entity;
    }


}
